std::hash(std::shared_ptr)(3)

NAME
std::hash(std::shared_ptr) - std::hash(std::shared_ptr)

Synopsis
   template<class T> struct hash<shared_ptr<T>>; (since C++11)
   The template specialization of std::hash for std::shared_ptr<T> allows users to
   obtain hashes of objects of type std::shared_ptr<T>.
   For a given std::shared_ptr<T> p, this specialization ensures that
   std::hash<std::shared_ptr<T>>()(p) == std::hash<T*>()(p.get()). (until C++17)
   std::hash<std::shared_ptr<T>>()(p) == std::hash<typename (since C++17)
   std::shared_ptr<T>::element_type*>()(p.get()).

Example
    This section is incomplete
    Reason: no example

See also
   hash hash function object
   (C++11) (class template)